For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTOutbound call via WhatsApp
          • POSTOutbound message via WhatsApp
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWhatsApp

Outbound call via WhatsApp

POST
/v1/convai/whatsapp/outbound-call
POST
/v1/convai/whatsapp/outbound-call
$curl -X POST https://api.elevenlabs.io/v1/convai/whatsapp/outbound-call \
> -H "Content-Type: application/json" \
> -d '{
> "whatsapp_phone_number_id": "string",
> "whatsapp_user_id": "string",
> "whatsapp_call_permission_request_template_name": "string",
> "whatsapp_call_permission_request_template_language_code": "string",
> "agent_id": "string"
>}'
1{
2 "success": true,
3 "message": "string",
4 "conversation_id": "string"
5}
Make an outbound call via WhatsApp
Was this page helpful?
Previous

Outbound message via WhatsApp

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
whatsapp_phone_number_idstringRequired
whatsapp_user_idstringRequired
whatsapp_call_permission_request_template_namestringRequired
whatsapp_call_permission_request_template_language_codestringRequired
agent_idstringRequired
conversation_initiation_client_dataobject or nullOptional

Response

Successful Response
successboolean
messagestring
conversation_idstring or null

Errors

422
Unprocessable Entity Error